Subject: bug#8497: Bug#620795: emacs23: Makefile generation with cpp mangles multiarch include paths (impending FTBFS)

From: Glenn Morris <[email-masked]>
Date: Fri, 15 Apr 2011 21:51:00 -0400

Rob Browning wrote:

> (If possible, please preserve the 620795-forwarded address in any replies.)

Sorry, not so long as bug#63995 exists.

>> The attached patch partially addresses this by undefining any macros that
>> happen to exist for the <cpu> portion of the architecture triplet.

Note the following in configure.in attempts to do this kind of thing already:

    # Now get this: Some word that is part of the ${srcdir} directory name
    # or the ${configuration} value might, just might, happen to be an
    # identifier like `sun4' or `i386' or something, and be predefined by
    # the C preprocessor to some helpful value like 1, or maybe the empty
    # string.  Needless to say consequent macro substitutions are less
    # than conducive to the makefile finding the correct directory.
    [cpp_undefs="`echo $srcdir $configuration $canonical unix |
      sed -e 's/[^a-zA-Z0-9_]/ /g' -e 's/^/ /' -e 's/  *$//' \
      -e 's/  */ -U/g' -e 's/-U[0-9][^ ]*//g'`"]

so it's not obvious to me why you need to do more (maybe $canonical is
i686-something but your directories are i386-something?).